# eric3.VCS.mercurialPackage.OutgoingDialog

Module implementing a dialog to show the output of the hg outgoing command.

### Classes

HgOutgoingDialog | Module implementing a dialog to show the output of the hg incoming command.

### Functions

None

## HgOutgoingDialog

Module implementing a dialog to show the output of the hg incoming command.

### Derived from

HgIncomingDialog

### Methods

HgOutgoingDialog | Constructor
start | Public slot to start the cvs incoming command.

### HgOutgoingDialog (Constructor)

HgOutgoingDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

### HgOutgoingDialog.start

start(ppath, dest)

Public slot to start the cvs incoming command.

ppath
  directory name of the project (string)
dest
  directory name or URL of the destination repository (string)

Up